Subject: Re: bug#28245: 26.0.50; symbolic links not well handled by vc-dir

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Aug 2017 20:44:01 +0300

> From: [email-masked] (Vincent Belaïche)
> Cc: Vincent Belaïche <[email-masked]> 
> Date: Sun, 27 Aug 2017 22:52:53 +0200
> 
> > What does "svn status -v" show in that repository?
> 
> When I do that, I see the original file `foo' only once. Please note
> that my bug report is erroneous. Actually, the symlink is
> trunk/test/foo, pointing as trunk/src/foo. trunk/src/foo is under change
> control, but the directory trunk/test and all its content is not under
> change control --- I have not yet imported it. So `svn status -v' done
> under trunk shows only, as far as trunk/test and its content are
> concerned, this:
> 
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
> ?                                        test
> --8<----8<----8<----8<----8<--  end  -->8---->8---->8---->8---->8----

Then maybe "svn status -v" is not the right (or not the only) command
you should try.  My point is that you should find out which SVN
commands are invoked by vc-dir in this use case, and then see what did
SVN produce for these commands outside of Emacs.

It also could be that this is not a Windows-specific issue.